Bug 235672 - Review Request: zope3 - Zope 3 web application server framework
Review Request: zope3 - Zope 3 web application server framework
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-04-09 10:45 EDT by Evgeny Sizikov
Modified: 2008-06-29 14:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-28 14:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Evgeny Sizikov 2007-04-09 10:45:55 EDT
Spec URL: http://217.117.89.14/zope3/zope3.spec
SRPM URL: http://217.117.89.14/zope3/zope3-3.3.1-1.fc6.src.rpm
Description: Zope 3 web application server framework 

Zope 3 is a redesign of Zope 2 and improves the Zope development experience through the use of a "component architecture".

For the time being, Fedora Extras already has a Zope 2 package. I've tried to make this `zope3' package to be 100% stackable with the existing `zope' package.
Comment 2 Jason Tibbitts 2007-06-09 14:55:05 EDT
None of these links seem to be valid.
Comment 3 Evgeny Sizikov 2007-06-13 03:15:19 EDT
Fixed.
Comment 4 Timothy Selivanow 2008-03-18 18:58:43 EDT
Minor rpmlint complaints:

./zope3.spec:13: E: hardcoded-library-path in /usr/lib/%{zope_pkgname}
Change to /usr/%{_lib}/%{zope_pkgname}

./zope3.spec:101: W: rpm-buildroot-usage %build rm -rf %{buildroot}
I see this was taken from the original zope 2.10.x spec, this should be removed.

./zope3.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 24)
Simple to change.  Make sure that you are using one method throughout the spec.


Also, version 3.4.0c1 is newest upstream
(http://www.zope.org/Products/Zope3/3.4.0c1/Zope-3.4.0c1.tgz), and curious on
how this package and python-zope-interface might/could interact.

I'm not happy (rpmbuild fails with lib change) with the directory structure that
it creates under /usr/${_lib} either (e.g.
/usr/lib64/zope3/lib64/python/BTrees/_OOBTree.so, would be nice to integrate
more with %{python_sitearch} if possible), I imagine something like (for my
given example) /usr/lib64/python2.5/zope/BTrees/_OOBTree.so would be more
appropriate.


It's been a while since anyone has commented on this, does this have any
backing?  I'm slightly interested as I've wanted to work with Zope and I
re-build the f6 packages for use on CentOS.
Comment 5 Evgeny Sizikov 2008-03-19 02:10:21 EDT
I'm not very intersted in Zope these days, thus you could continue on your own.
Comment 6 Timothy Selivanow 2008-03-21 17:43:15 EDT
I'll take over from here then.  I've already started looking at removing the
non-Zope pieces and have contacted the zope-dev mailing list.  I'll be renaming
the package to zope, and will make a zope2 (this version is still under-going
independent development) at some later time.

If you really aren't interested in keeping up with this, I suppose you could
remove yourself from the CC list so you don't get all the emails that this will
generate.
Comment 7 Jason Tibbitts 2008-06-28 14:10:48 EDT
So is anything happening with this ticket?

Honestly since Eugene has indicated that he doesn't want to be involved, and as
far as I know, zope can't actually work in any supported release of Fedora
because they all have python 2.5, I'm just going to close this.  Timothy, if you
do still want to pursue this, please open your own review ticket with fresh
packages.  Thanks.
Comment 8 Jochen Schmitt 2008-06-29 14:42:56 EDT
Suggestion, if you need Python 2.4 you should open a review in rhe rpmfussion
project, because they have a compat-python-2.4 package which you ma need for zope.

Note You need to log in before you can comment on or make changes to this bug.